Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d
Class FieldPortrayal3D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal3d.FieldPortrayal3D

All Implemented Interfaces:
  Portrayal, Portrayal3D, java.io.Serializable

Direct Known Subclasses:
  SparseFieldPortrayal3D, ValueGrid2D3DPortrayal

public abstract class FieldPortrayal3D
extends FieldPortrayal
implements Portrayal3D

Superclass of all Field Portrayals in J3D. It implements default versions of some methods, such as getInspector, setSelected, getInspector. It defines `overallT`, a Transform3D object that allows the user to handle aspects inside the scene graph, for instance, set the size of an object displayed inside a field, when size is not relevant for the simulation per se.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary
`javax.media.j3d.Transform3D` | `overallT` It defines `overallT`, a Transform3D object that allows the user to handle aspects inside the scene graph, for instance, set the size of an object displayed inside a field, when size is not relevant for the simulation per se.

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, portrayalForAll, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`FieldPortrayal3D(javax.media.j3d.Transform3D transform)`

Method Summary
`abstract LocationWrapper` | `completedWrapper(LocationWrapper w, com.sun.j3d.utils.picking.PickIntersection pi)`
`void` | `setParentPortrayal(FieldPortrayal3D p)` A non field portrayal3D need to enclose its parent FieldPortrayal into the PickInfo.

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getDefaultPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, setField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal3d.Portrayal3D
`getModel`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, setSelected`

Field Detail

### overallT

    public final javax.media.j3d.Transform3D overallT

  It defines `overallT`, a Transform3D object that allows the user to handle aspects inside the scene graph, for instance, set the size of an object displayed inside a field, when size is not relevant for the simulation per se. It can only be set through the constructor

Constructor Detail

### FieldPortrayal3D

    public FieldPortrayal3D(javax.media.j3d.Transform3D transform)

Method Detail

### completedWrapper

    public abstract LocationWrapper completedWrapper(LocationWrapper w,
                                                     com.sun.j3d.utils.picking.PickIntersection pi)

### setParentPortrayal

    public void setParentPortrayal(FieldPortrayal3D p)

  Description copied from interface: `Portrayal3D`
  A non field portrayal3D need to enclose its parent FieldPortrayal into the PickInfo. A FieldPortrayal3D should have an empty body.

  Specified by:
    `setParentPortrayal` in interface `Portrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD